## First rule - delete all
-D

## Increase the buffers to survive stress events.
## Make this bigger for busy systems
-b 8192

## This determine how long to wait in burst of events
--backlog_wait_time 60000

## Set failure mode to {% if configure_auditd_failure_mode == "yes" %}kernel panic{% elif configure_auditd_failure_mode == "no" %}syslog{% endif %}
{% if configure_auditd_failure_mode == "yes" %}-f 2{% elif configure_auditd_failure_mode == "no" %}-f 1{% endif %}

{% if audit_execve == "yes" %}{{ execve_rules }}{% endif %}
{% if audit_mod_calls == "yes" %}{{ mod_calls_rules }}{% endif %}
{% if audit_chown_calls == "yes" %}{{ chown_calls_rules }}{% endif %}
{% if audit_attr == "yes" %}{{ attr_rules }}{% endif %}
{% if audit_umount_calls == "yes" %}{{ umount_calls_rules }}{% endif %}
{% if audit_umount2_calls == "yes" %}{{ umount2_calls_rules }}{% endif %}
{% if audit_chacl == "yes" %}{{ chacl_rules }}{% endif %}
{% if audit_setfacl == "yes" %}{{ setfacl_rules }}{% endif %}
{% if audit_chcon == "yes" %}{{ chcon_rules }}{% endif %}
{% if audit_semanage == "yes" %}{{ semanage_rules }}{% endif %}
{% if audit_setfiles == "yes" %}{{ setfiles_rules }}{% endif %}
{% if audit_setsebool == "yes" %}{{ setsebool_rules }}{% endif %}
{% if audit_file_dir_name_link_actions == "yes" %}{{ file_dir_name_link_actions_rules }}{% endif %}
{% if audit_trunc_creat_open_calls == "yes" %}{{ trunc_creat_open_calls_rules }}{% endif %}
{% if audit_delete_calls == "yes" %}{{ delete_calls_rules }}{% endif %}
{% if audit_init_calls == "yes" %}{{ init_calls_rules }}{% endif %}
{% if audit_chage == "yes" %}{{ chage_rules }}{% endif %}
{% if audit_chsh == "yes" %}{{ chsh_rules }}{% endif %}
{% if audit_crontab == "yes" %}{{ crontab_rules }}{% endif %}
{% if audit_gpasswd == "yes" %}{{ gpasswd_rules }}{% endif %}
{% if audit_kmod == "yes" %}{{ kmod_rules }}{% endif %}
{% if audit_newgrp == "yes" %}{{ newgrp_rules }}{% endif %}
{% if audit_pam_timestamp == "yes" %}{{ pam_timestamp_rules }}{% endif %}
{% if audit_passwd == "yes" %}{{ passwd_rules }}{% endif %}
{% if audit_postdrop == "yes" %}{{ postdrop_rules }}{% endif %}
{% if audit_postqueue == "yes" %}{{ postqueue_rules }}{% endif %}
{% if audit_ssh_agent == "yes" %}{{ ssh_agent_rules }}{% endif %}
{% if audit_ssh_keysign == "yes" %}{{ ssh_keysign_rules }}{% endif %}
{% if audit_su == "yes" %}{{ su_rules }}{% endif %}
{% if audit_sudo == "yes" %}{{ sudo_rules }}{% endif %}
{% if audit_sudoedit == "yes" %}{{ sudoedit_rules }}{% endif %}
{% if audit_unix_chkpwd == "yes" %}{{ unix_chkpwd_rules }}{% endif %}
{% if audit_unix_update == "yes" %}{{ unix_update_rules }}{% endif %}
{% if audit_userhelper == "yes" %}{{ userhelper_rules }}{% endif %}
{% if audit_usermod == "yes" %}{{ usermod_rules }}{% endif %}
{% if audit_mount == "yes" %}{{ mount_rules }}{% endif %}
{% if audit_init == "yes" %}{{ init_rules }}{% endif %}
{% if audit_poweroff == "yes" %}{{ poweroff_rules }}{% endif %}
{% if audit_reboot == "yes" %}{{ reboot_rules }}{% endif %}
{% if audit_shutdown == "yes" %}{{ shutdown_rules }}{% endif %}
{% if audit_account_actions == "yes" %}{{ account_actions_rules }}{% endif %}
{% if configure_auditd_immutable == "yes" %}-e 2{% elif configure_auditd_immutable == "no" %}{% endif %}
